# std::function_ref::operator()

From cppreference.com
< cpp‎ | utility‎ | functional‎ | function ref

R operator()( Args... args ) const noexcept(/*noex*/); |  | (since C++26)

Invokes the stored `thunk-ptr` with `bound-entity` as its first parameter and the rest of the parameters `args`. The /*noex*/ part of operator() is identical to those of the template parameter of `std::function_ref`.

Equivalent to return `thunk-ptr`(`bound-entity`, std::forward <Args>(args)...);.

### Parameters

args | - | rest parameters to pass to the stored `thunk-ptr`

### Return value

`thunk-ptr`(`bound-entity`, std::forward <Args>(args)...).

### Exceptions

Propagates the exception thrown by the underlying function call.

### Example

| This section is incomplete Reason: no example

### See also

operator() | invokes the target (public member function of `std::function<R(Args...)>`)
operator() | calls the stored function (public member function of `std::reference_wrapper<T>`)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/utility/functional/function_ref/operator()&oldid=178010"